spring:
  rabbitmq:
    host: 158.1.12.238
    port: 5672
    virtual-host: cloud
    username: cctp
    password: northking
  redis:
    cluster:
      nodes: 158.1.81.42:16379,158.1.81.43:16380,158.1.83.161:16381,158.1.81.42:16382,158.1.81.43:16383,158.1.83.161:16384
    password: root
    database: 1
    lettuce:
      pool:
        max-active: 5
        max-idle: 5
atu:
  server:
    engineName: 开发环境测试引擎
    IsPcExecutor: true
    engineSys: windows
    daemonFlag: true
    remoteProtocol: RDP
    remotePort: 3389
    engineVersion: 1.1.0
    serverUrl: http://158.1.12.236:8000
    appiumHost: 172.16.77.25
    appiumPort: 4723
    appiumContextPath: /wd/hub
    deviceInfoPath: /api/cctp-device-mgr/pub/device/info/
    globalVarPath: /api/atu-script-case/pub/variable/query
    globalVarUpdatePath: /api/atu-script-case/pub/variable/update
    fileDownloadPath: /api/cctp-files/pub/download/
    fileUploadPath: /api/cctp-files/pub/upload
    engineRegister: /api/cctp-device-mgr/pub/engine/register
    deviceReleasePath: /api/cctp-device-mgr/pub/device/release/
    appDownloadUrl: /api/atu-script-case/pub/file/downloadApp/{appId}
    libListUrl: /api/cctp-platform/pub/library/getLibListByEngine
    tryAcqurieDeviceUrl: /api/cctp-device-mgr/pub/deviceList/apply/remote
    pcAcqurieDeviceUrl: /api/cctp-device-mgr/pub/pc/device/remote
    taskCancelResultUrl: /api/atu-execute-plan/pub/execPlan/updateTaskExecFile
    appInfoUrl: /api/atu-script-case/pub/apps/getAppDetail
    ruleDataByName: /api/atu-data-mgr/pub/dataRule/getRuleDataByName
    releaseDeviceBatch: /api/cctp-device-mgr/pub/deviceList/release
    projectInfo: /api/cctp-projects/pub/project/query/info?projectId={projectId}
    testSysUrl: /api/cctp-projects/pub/CpProjectEnvSyss/querySysUrl
    busComInfoUrl: /api/atu-script-case/pub/busCom/findBusComName
    acquireDeviceWithTokenUrl: /api/cctp-device-mgr/pub/deviceList/apply/batchWithToken
  engine:
    executor-pool:
      pcSize: 1
      pcCoreSize: 1
      enablePc: true
      mobileSize: 25
      mobileCoreSize: 25
      enableMobile: false
      apiSize: 15
      apiCoreSize: 15
      enableApi: true
  mobileAutomation:
    type: jbf
nk:
  component:
    mobile:
      useNewOcr: true
      shotAllScreenAddress: engine/shotAllScreen
      uploadScreenAddress: engine/uploadShotAllScreen
      handleApp: engine/activeApp
      execShellAddress: engine/execShell
      findPicAddress: http://158.1.18.34:5000/WebAPI/findImageInImage    #图片查找
      ocrAddress: http://158.1.18.34:5000/WebAPI/FindTextCoordinateByOcr   #ocr地址
      #ocrGetCode: http://158.1.18.34:5000/WebAPI/VerificationCode   #ocr识别验证码地址
      ocrGetCode: http://158.58.160.183:8000/yzm_v2   #ocr识别验证码地址
      ocrGetText: http://158.1.18.34:5000/WebAPI/GetTextByOcr   #ocr识别文字地址
      mobileShotAddress: engine/getScreenShotToBase64   #截图返回base64
      getCurrentMessage: engine/getCurrentMessage  #获取当前手机最新短信验证码
      getWindowsScale: engine/getWindowsScale  #获取手机屏幕
      ocrGetAllTextNum: http://158.58.160.183:8000/rpa_v2
      ocrGetKeyBoard: http://158.58.160.183:8000/keyboard_v2
      getSafeKeyBoardNum: http://158.58.160.183:8000/keyboard_v2
      hzBankOcrAddress: http://197.68.24.38:9283/gateway/spring-ocrcloud-platform/OCRA0001 #杭州银行OCR请求nginx地址
      ocrGetTextDirectionText: http://158.58.160.183:8000/direction_v2   #ocr识别指定文字指定方向的数值内容
      matchingThreshold: 0.5 #图像识别阈值
      ocrGetTableColValue: http://158.58.160.183:8000/table_v2   #ocr获取表格列内容
      ocrGetMoneyValue: http://158.58.160.183:8000/rpa_amount_v2 #ocr获取金额
      scriptWaitTime: 100 #脚本步骤执行后等待时间，毫秒
      planWaitTime: 400 #计划步骤执行后等待时间，毫秒
    database:
      execSqlAddress: /api/cctp-projects/pub/CpProjectEnvDss/execute #数据库组建执行SQL的请求地址
    pc:
      tryTime: 3   #重试次数
logging:
  level:
    net.northking: debug